Bug 55099 - gdb + g++3
gdb + g++3
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-10-25 11:33 EDT by Neal D. Becker
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-28 19:11:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal D. Becker 2001-10-25 11:33:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
gdb can't grok vector<complex<double>> compiled by g++3

(gdb) p roots[0]
$8 = (Complex &) @0x80504f8: {_M_value = Invalid C/C++ type code 20 in
symbol table.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.compile with g++3 -g

Additional info:
Comment 1 Trond Eivind Glomsrxd 2001-10-26 12:36:43 EDT
Example file?
Comment 2 Bill Nottingham 2001-10-29 14:12:17 EST
Also, does it work if you have gcc output dwarf2 debug info?
Comment 3 Neal D. Becker 2001-10-30 16:08:13 EST
#include <complex>

int main () {
  typedef std::complex<double> Complex;
  Complex x (1.,0.);

g++3 -o Test Test.cc

gdb Test
b main
runp x
$1 = {_M_value = Invalid C/C++ type code 20 in symbol table
Comment 4 Neal D. Becker 2001-10-30 16:12:09 EST
No difference if I do -ggdb.
Comment 5 Trond Eivind Glomsrxd 2001-10-30 16:26:37 EST
"-gdwarf-2" doesn't help, and it's still a problem on the latest CVS snapshots
of gdb.
Comment 6 Trond Eivind Glomsrxd 2001-11-28 19:11:14 EST
Still a problem with gdb 5.1
Comment 7 Trond Eivind Glomsrxd 2002-03-20 14:39:02 EST
Fixed in gdb-5.1.90CVS-2 (it prints out a warning about not handling 16byte
floating point numbers, but at least tries to print the numbers...)

Note You need to log in before you can comment on or make changes to this bug.